Bug 2127540 - i915 video suspend/resume failure
Summary: i915 video suspend/resume failure
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 36
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-09-16 19:35 UTC by jlewis
Modified: 2022-11-21 04:07 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description jlewis 2022-09-16 19:35:06 UTC
1. Please describe the problem:

On a laptop with i915 / Intel Iris / Alder Lake P integrated graphics, the built-in display remains blank/unusable after resuming from suspend.  The system is not frozen (it remains pingable and can be ssh'd into).

2. What is the Version-Release number of the kernel:

I've experienced the issue with the following:
5.19.6-200.fc36
5.19.7-200.fc36
6.0.0-0.rc4.31.fc38

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

Not that I'm aware of.

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

Close laptop or otherwise initiate a suspend.  Re-open laptop / try to resume from suspend.  Screen stays blank.  Backlighting will cycle on/off periodically.


5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

Yes.  Rawhide kernel still has the issue.

There's a suggested fix for this on the Arch Linux wiki:

https://wiki.archlinux.org/title/intel_graphics#Freeze_after_wake_from_sleep/suspend_with_Alder_Lake-P

I downloaded the source RPM for 5.19.8-200.fc36, applied the suggested one line change, and built 5.19.8-200.fc36.  This fixes the problem for my laptop. 

6. Are you running any modules that not shipped with directly Fedora's kernel?:

No.

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

[ 1170.732208] wlo1: deauthenticating from 7c:10:c9:cc:34:d4 by local choice (Reason: 3=DEAUTH_LEAVING)
[ 1172.746740] PM: suspend entry (s2idle)
[ 1172.955164] Filesystems sync: 0.208 seconds
[ 1173.193198] Freezing user space processes ... (elapsed 0.005 seconds) done.
[ 1173.198430] OOM killer disabled.
[ 1173.198435] Freezing remaining freezable tasks ... (elapsed 0.001 seconds) done.
[ 1173.200409] printk: Suspending console(s) (use no_console_suspend to debug)
[ 1173.532028] PM: suspend devices took 0.331 seconds
[ 1173.548571] ------------[ cut here ]------------
[ 1173.548580] i915 0000:00:02.0: i915 raw-wakerefs=1 wakelocks=1 on cleanup
[ 1173.548725] WARNING: CPU: 10 PID: 662 at drivers/gpu/drm/i915/intel_runtime_pm.c:629 intel_runtime_pm_driver_release+0x4d/0x60 [i915]
[ 1173.549003] Modules linked in: uinput rfcomm snd_seq_dummy snd_hrtimer nft_objref nf_conntrack_netbios_ns nf_conntrack_broadcast nft_fib_inet nft_fib_ipv4 nft_fib_ipv6 nft_fib nft_reject_inet nf_reject_ipv4 nf_reject_ipv6 nft_reject nft_ct nft_chain_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 ip_set nf_tables nfnetlink qrtr bnep snd_ctl_led tun snd_soc_skl_hda_dsp snd_soc_intel_hda_dsp_common snd_soc_hdac_hdmi snd_sof_probes sunrpc snd_soc_dmic iTCO_wdt intel_pmc_bxt iTCO_vendor_support mei_pxp mei_hdcp intel_rapl_msr gpio_keys intel_tcc_cooling x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm irqbypass rapl intel_cstate intel_uncore pcspkr wmi_bmof snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio snd_sof_pci_intel_tgl snd_sof_intel_hda_common soundwire_intel soundwire_generic_allocation soundwire_cadence snd_sof_intel_hda snd_sof_pci snd_sof_xtensa_dsp snd_sof snd_sof_utils snd_soc_hdac_hda snd_hda_ext_core snd_soc_acpi_intel_match
[ 1173.549141]  snd_soc_acpi soundwire_bus snd_soc_core iwlmvm snd_compress ac97_bus snd_pcm_dmaengine snd_hda_intel snd_intel_dspcfg snd_intel_sdw_acpi mac80211 snd_hda_codec snd_hda_core libarc4 snd_hwdep snd_seq snd_seq_device vfat fat uvcvideo snd_pcm iwlwifi btusb squashfs videobuf2_vmalloc btrtl videobuf2_memops msi_wmi loop snd_timer videobuf2_v4l2 btbcm iwlmei snd videobuf2_common btintel i2c_i801 i2c_smbus btmtk soundcore videodev mei_me cfg80211 bluetooth idma64 mc mei rfkill joydev hid_sensor_rotation hid_sensor_gyro_3d hid_sensor_accel_3d hid_sensor_als hid_sensor_trigger hid_sensor_iio_common processor_thermal_device_pci industrialio_triggered_buffer kfifo_buf processor_thermal_device thunderbolt industrialio processor_thermal_rfim processor_thermal_mbox processor_thermal_rapl intel_rapl_common igen6_edac int3403_thermal int340x_thermal_zone intel_hid sparse_keymap int3400_thermal acpi_thermal_rel soc_button_array acpi_tad acpi_pad zram hid_sensor_hub intel_ishtp_hid i915
[ 1173.549283]  rtsx_pci_sdmmc drm_buddy drm_display_helper mmc_core nvme cec intel_ish_ipc ucsi_acpi crct10dif_pclmul crc32_pclmul crc32c_intel nvme_core ghash_clmulni_intel rtsx_pci typec_ucsi serio_raw intel_ishtp typec ttm i2c_hid_acpi i2c_hid wmi video pinctrl_tigerlake hid_multitouch ip6_tables ip_tables fuse
[ 1173.549373] Unloaded tainted modules: pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1
[ 1173.549519]  acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1
[ 1173.549654]  pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1
[ 1173.549783]  pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 asus_ec_sensors():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 fjes():1 pcc_cpufreq():1 acpi_cpufreq():1 fjes():1 pcc_cpufreq():1 acpi_cpufreq():1 fjes():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 fjes():1 fjes():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 fjes():1 asus_ec_sensors():1 pcc_cpufreq():1 acpi_cpufreq():1 fjes():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 fjes():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1
[ 1173.549928]  acpi_cpufreq():1 pcc_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 pcc_cpufreq():1 acpi_cpufreq():1 acpi_cpufreq():1 fjes():1 fjes():1 fjes():1 fjes():1 fjes():1 fjes():1 fjes():1 fjes():1
[ 1173.549966] CPU: 10 PID: 662 Comm: kworker/u40:5 Tainted: G        W         -------  ---  6.0.0-0.rc4.31.fc38.x86_64 #1
[ 1173.549978] Hardware name: Micro-Star International Co., Ltd. Summit E13FlipEvo A12MT/MS-13P3, BIOS E13P3IMS.10A 05/20/2022
[ 1173.549984] Workqueue: events_unbound async_run_entry_fn
[ 1173.550002] RIP: 0010:intel_runtime_pm_driver_release+0x4d/0x60 [i915]
[ 1173.550234] Code: b7 d9 48 8b 6f 50 48 85 ed 75 03 48 8b 2f e8 8a fc 3c ec 45 89 e0 89 d9 48 89 ea 48 89 c6 48 c7 c7 48 17 6c c0 e8 be 73 7e ec <0f> 0b 5b 5d 41 5c c3 cc cc cc cc 0f 1f 84 00 00 00 00 00 0f 1f 44
[ 1173.550241] RSP: 0018:ffffb6a3c10b3db8 EFLAGS: 00010296
[ 1173.550250] RAX: 000000000000003d RBX: 0000000000000001 RCX: 0000000000000000
[ 1173.550255] RDX: 0000000000000001 RSI: ffffffffad6948b1 RDI: 00000000ffffffff
[ 1173.550260] RBP: ffff9e2f0300fba0 R08: ffffffffade660a0 R09: 0000000000000000
[ 1173.550264] R10: ffffffffffffffff R11: ffffffffae9f9b32 R12: 0000000000000001
[ 1173.550268] R13: ffff9e2f0f9e2210 R14: 0000000000000000 R15: ffff9e2f33ad67a8
[ 1173.550272] FS:  0000000000000000(0000) GS:ffff9e3287880000(0000) knlGS:0000000000000000
[ 1173.550279] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 1173.550284] CR2: 0000560d5f6b0d46 CR3: 00000002cae10006 CR4: 0000000000770ee0
[ 1173.550290] PKRU: 55555554
[ 1173.550305] Call Trace:
[ 1173.550314]  <TASK>
[ 1173.550323]  i915_drm_suspend_late+0xf0/0x110 [i915]
[ 1173.550520]  ? pci_pm_poweroff_late+0x40/0x40
[ 1173.550533]  dpm_run_callback+0x47/0x150
[ 1173.550550]  __device_suspend_late+0xb7/0x230
[ 1173.550562]  async_suspend_late+0x1a/0x80
[ 1173.550574]  async_run_entry_fn+0x2d/0x130
[ 1173.550583]  process_one_work+0x1c4/0x380
[ 1173.550601]  worker_thread+0x4d/0x380
[ 1173.550613]  ? _raw_spin_lock_irqsave+0x23/0x50
[ 1173.550627]  ? rescuer_thread+0x380/0x380
[ 1173.550639]  kthread+0xe6/0x110
[ 1173.550650]  ? kthread_complete_and_exit+0x20/0x20
[ 1173.550662]  ret_from_fork+0x1f/0x30
[ 1173.550682]  </TASK>
[ 1173.550685] ---[ end trace 0000000000000000 ]---
[ 1173.564428] ACPI: EC: interrupt blocked
[ 1186.520966] ACPI: EC: interrupt unblocked
[ 1186.845920] i915 0000:00:02.0: [drm] GuC firmware i915/adlp_guc_70.1.1.bin version 70.1
[ 1186.845943] i915 0000:00:02.0: [drm] HuC firmware i915/tgl_huc_7.9.3.bin version 7.9
[ 1186.866027] i915 0000:00:02.0: [drm] HuC authenticated
[ 1186.867293] i915 0000:00:02.0: [drm] GuC submission enabled
[ 1186.867299] i915 0000:00:02.0: [drm] GuC SLPC enabled
[ 1186.868017] i915 0000:00:02.0: [drm] GuC RC: enabled
[ 1186.988274] nvme nvme0: 8/0/0 default/read/poll queues
[ 1187.146127] PM: resume devices took 0.333 seconds
[ 1187.146181] OOM killer enabled.
[ 1187.146186] Restarting tasks ... 
[ 1187.146609] mei_hdcp 0000:00:16.0-b638ab7e-94e2-4ea2-a552-d1c54b627f04: bound 0000:00:02.0 (ops i915_hdcp_component_ops [i915])
[ 1187.147897] mei_pxp 0000:00:16.0-fbf6fcf1-96cf-4e2e-a6a6-1bab8cbe36b1: bound 0000:00:02.0 (ops i915_pxp_tee_component_ops [i915])
[ 1187.153535] done.
[ 1187.153571] random: crng reseeded on system resumption
[ 1187.334998] PM: suspend exit
[ 1187.756544] i915 0000:00:02.0: [drm] *ERROR* Failed to read DPCD register 0x60
[ 1189.094492] i915 0000:00:02.0: [drm] *ERROR* Failed to read DPCD register 0x92
[ 1190.601662] wlo1: authenticate with 7c:10:c9:cc:34:d4
[ 1190.629975] wlo1: send auth to 7c:10:c9:cc:34:d4 (try 1/3)
[ 1190.695947] wlo1: authenticated
[ 1190.707336] wlo1: associate with 7c:10:c9:cc:34:d4 (try 1/3)
[ 1190.708936] wlo1: RX AssocResp from 7c:10:c9:cc:34:d4 (capab=0x1011 status=0 aid=20)
[ 1190.713559] iwlwifi 0000:00:14.3: Got NSS = 4 - trimming to 2
[ 1190.716847] wlo1: associated
[ 1190.749682] IPv6: ADDRCONF(NETDEV_CHANGE): wlo1: link becomes ready
[ 1190.771787] wlo1: Limiting TX power to 24 (24 - 0) dBm as advertised by 7c:10:c9:cc:34:d4
[ 1191.332081] i915 0000:00:02.0: [drm] *ERROR* Failed to write source OUI
[ 1191.418326] psmouse serio1: synaptics: queried max coordinates: x [..5638], y [..4736]
[ 1191.465521] psmouse serio1: synaptics: queried min coordinates: x [1302..], y [1114..]
[ 1196.727904] i915 0000:00:02.0: [drm] *ERROR* [ENCODER:235:DDI A/PHY A][DPRX] Failed to enable link training
[ 1198.134283] i915 0000:00:02.0: [drm] *ERROR* Failed to read DPCD register 0x60
[ 1199.477188] i915 0000:00:02.0: [drm] *ERROR* Failed to read DPCD register 0x92

Comment 1 Jim Wright 2022-09-19 00:20:17 UTC
Having this issue as well, Rocky 9.0 (5.14.0-70.22.1.el9_0.x86_64):

[wright@localhost ~]$ sudo lspci -v
(snip)
0000:00:02.0 VGA compatible controller: Intel Corporation AlderLake-S GT1 (rev 0c) (prog-if 00 [VGA controller])
	Subsystem: Dell Device 0ac1
	Flags: bus master, fast devsel, latency 0, IRQ 255
	Memory at 6002000000 (64-bit, non-prefetchable) [size=16M]
	Memory at 4000000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 3000 [size=64]
	Expansion ROM at 000c0000 [virtual] [disabled] [size=128K]
	Capabilities: [40] Vendor Specific Information: Len=0c <?>
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [ac] MSI: Enable- Count=1/1 Maskable+ 64bit-
	Capabilities: [d0] Power Management version 2
	Capabilities: [100] Process Address Space ID (PASID)
	Capabilities: [200] Address Translation Service (ATS)
	Capabilities: [300] Page Request Interface (PRI)
	Capabilities: [320] Single Root I/O Virtualization (SR-IOV)
	Kernel modules: i915

Issue here is system is on a KVM switch, I can switch to another system, and when switching back display remains blank, unable to wake system (unplugged display cable from system, power cycled display/KVM, nothing helps).  System remains on network and I can SSH in.

Possibly related, Settings/Displays panel reports Unknown Display, also unable to change resolutions.  Other RHEL based system on same KVM (different chipset) correctly reports monitor's brand and size.

Comment 2 jlewis 2022-09-22 13:23:36 UTC
(In reply to Jim Wright from comment #1)
> Having this issue as well, Rocky 9.0 (5.14.0-70.22.1.el9_0.x86_64):
> 
> [wright@localhost ~]$ sudo lspci -v
> (snip)
> 0000:00:02.0 VGA compatible controller: Intel Corporation AlderLake-S GT1
> (rev 0c) (prog-if 00 [VGA controller])
> 	Subsystem: Dell Device 0ac1
> 	Flags: bus master, fast devsel, latency 0, IRQ 255
> 	Memory at 6002000000 (64-bit, non-prefetchable) [size=16M]
> 	Memory at 4000000000 (64-bit, prefetchable) [size=256M]
> 	I/O ports at 3000 [size=64]
> 	Expansion ROM at 000c0000 [virtual] [disabled] [size=128K]
> 	Capabilities: [40] Vendor Specific Information: Len=0c <?>
> 	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
> 	Capabilities: [ac] MSI: Enable- Count=1/1 Maskable+ 64bit-
> 	Capabilities: [d0] Power Management version 2
> 	Capabilities: [100] Process Address Space ID (PASID)
> 	Capabilities: [200] Address Translation Service (ATS)
> 	Capabilities: [300] Page Request Interface (PRI)
> 	Capabilities: [320] Single Root I/O Virtualization (SR-IOV)
> 	Kernel modules: i915
> 
> Issue here is system is on a KVM switch, I can switch to another system, and
> when switching back display remains blank, unable to wake system (unplugged
> display cable from system, power cycled display/KVM, nothing helps).  System
> remains on network and I can SSH in.
> 
> Possibly related, Settings/Displays panel reports Unknown Display, also
> unable to change resolutions.  Other RHEL based system on same KVM
> (different chipset) correctly reports monitor's brand and size.

Jim, to test to see if this is the same / related issue, you can try booting with nomodeset added to the kernel options, or try the patch provided by archlinux referenced above. In my case, nomodeset solves the blank screen issue, but I lose the ability to use fn keys to adjust display brightness.

Since opening this, I found one additional issue with the Linux driver.  On the MSI notebook I'm testing, the built-in HDMI port provides no output.  Same laptop running Win11, the built-in HDMI port works properly.

Comment 3 Jim Wright 2022-09-22 16:32:17 UTC
(In reply to jlewis from comment #2)
> Jim, to test to see if this is the same / related issue, you can try booting
> with nomodeset added to the kernel options, or try the patch provided by
> archlinux referenced above. In my case, nomodeset solves the blank screen
> issue, but I lose the ability to use fn keys to adjust display brightness.
> 
> Since opening this, I found one additional issue with the Linux driver.  On
> the MSI notebook I'm testing, the built-in HDMI port provides no output. 
> Same laptop running Win11, the built-in HDMI port works properly.

I brought the system to work with me today to test some other things, it's attached directly to a display here.  I found that I can unplug the display for a time then plug it back in, and the screen comes up.  The nomodset parameter didn't seem to change anything, still wasn't able to have the system identify the display or allow other resolutions to be selected.

One interesting thing, my system has two DisplayPort connections.  I tried moving the display to the other port with the system running, and it didn't activate, only the port that I booted from.  I would have thought it should have come up, so not sure that this is a related bug or not.

I'm too much of a linux novice to compile a new kernel...

On the few mentions of this bug that I've seen, most mention laptops for this chipset, my system is a desktop, but micro form factor, so may well be similar to laptops from that standpoint.

Comment 4 Jim Wright 2022-09-22 16:36:36 UTC
Meant to add, with regard to this being a desktop, there is no built in screen, and the kernel patch mentioned appears to be commenting out one of the video ports, presumably related to the built in laptop screen?  So that patch may not do anything for my system.  Unless I'm not understanding what the patch is trying to accomplish with commenting out that port.

Comment 5 Jim Wright 2022-09-22 16:42:56 UTC
Also, that patch was for the section of the driver relating to Alder Lake-P, I believe my case is with Alder Lake-S, per the lspci output I mentioned above.  But from the patch info it seems that this was only meant as a temporary fix, and doesn't address the underlying issue here.

Comment 6 jlewis 2022-11-21 04:07:28 UTC
I've updated the system in question to FC37.  The latest official kernel for FC37 still has both issues (black screen after suspend/resume until reboot, and no HDMI output).

[root@localhost-live ~]# inxi -Fzx
System:
  Kernel: 6.0.8-300.fc37.x86_64 arch: x86_64 bits: 64 compiler: gcc
    v: 2.38-24.fc37 Console: pty pts/0 Distro: Fedora release 37 (Thirty Seven)
Machine:
  Type: Laptop System: Micro-Star product: Summit E13FlipEvo A12MT v: REV:1.0
    serial: <filter>
  Mobo: Micro-Star model: MS-13P3 v: REV:1.0 serial: <filter> UEFI: American
    Megatrends LLC. v: E13P3IMS.10A date: 05/20/2022
Battery:
  ID-1: BAT1 charge: 68.8 Wh (97.3%) condition: 70.7/67.7 Wh (104.4%)
    volts: 16.9 min: 15.4 model: MSI BIF0_9 status: discharging
  Device-1: hid-0003:04F3:2F3D.0001-battery model: ELAN Touchscreen
    charge: N/A status: N/A
CPU:
  Info: 14-core (6-mt/8-st) model: 12th Gen Intel Core i7-1280P bits: 64
    type: MST AMCP arch: Alder Lake rev: 3 cache: L1: 1.2 MiB L2: 11.5 MiB
    L3: 24 MiB
  Speed (MHz): avg: 1537 high: 2000 min/max: 400/4700:4800:3600 cores:
    1: 483 2: 2000 3: 2000 4: 2000 5: 2000 6: 2000 7: 485 8: 2000 9: 490
    10: 2000 11: 500 12: 2000 13: 400 14: 2000 15: 2000 16: 2000 17: 2000
    18: 2000 19: 400 20: 2000 bogomips: 79872
  Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
Graphics:
  Device-1: Intel Alder Lake-P Integrated Graphics vendor: Micro-Star MSI
    driver: i915 v: kernel arch: Gen-12.2 bus-ID: 00:02.0
  Device-2: Acer FHD Camera type: USB driver: uvcvideo bus-ID: 3-6:3
  Display: server: X.Org v: 22.1.5 with: Xwayland v: 22.1.5 driver: X:
    loaded: modesetting unloaded: fbdev,vesa dri: iris gpu: i915
    resolution: 1920x1200~120Hz
  OpenGL: renderer: Mesa Intel Graphics (ADL GT2) v: 4.6 Mesa 22.2.3
    direct render: Yes
Audio:
  Device-1: Intel Alder Lake PCH-P High Definition Audio
    vendor: Micro-Star MSI driver: sof-audio-pci-intel-tgl bus-ID: 00:1f.3
  Sound API: ALSA v: k6.0.8-300.fc37.x86_64 running: yes
  Sound Server-1: PulseAudio v: 16.1 running: no
  Sound Server-2: PipeWire v: 0.3.60 running: yes
Network:
  Device-1: Intel Alder Lake-P PCH CNVi WiFi vendor: Rivet Networks
    driver: iwlwifi v: kernel bus-ID: 00:14.3
  IF: wlo1 state: up mac: <filter>
Bluetooth:
  Device-1: Intel type: USB driver: btusb v: 0.8 bus-ID: 3-10:5
  Report: rfkill ID: hci0 rfk-id: 0 state: up address: see --recommends
Drives:
  Local Storage: total: 953.87 GiB used: 19.89 GiB (2.1%)
  ID-1: /dev/nvme0n1 vendor: Micron model: 2450 MTFDKBA1T0TFK
    size: 953.87 GiB temp: 34.9 C
Partition:
  ID-1: / size: 438.14 GiB used: 19.63 GiB (4.5%) fs: btrfs
    dev: /dev/nvme0n1p7
  ID-2: /boot size: 973.4 MiB used: 219.8 MiB (22.6%) fs: ext4
    dev: /dev/nvme0n1p6
  ID-3: /boot/efi size: 296 MiB used: 45.9 MiB (15.5%) fs: vfat
    dev: /dev/nvme0n1p1
  ID-4: /home size: 438.14 GiB used: 19.63 GiB (4.5%) fs: btrfs
    dev: /dev/nvme0n1p7
Swap:
  ID-1: swap-1 type: zram size: 8 GiB used: 0 KiB (0.0%) dev: /dev/zram0
Sensors:
  Src: /sys System Temperatures: cpu: 39.0 C mobo: N/A
  Fan Speeds (RPM): N/A
Info:
  Processes: 447 Uptime: 3m Memory: 15.32 GiB used: 2.47 GiB (16.1%)
  Init: systemd target: graphical (5) Compilers: gcc: 12.2.1 Packages: N/A
  note: see --rpm Shell: Bash v: 5.2.9 inxi: 3.3.22


Note You need to log in before you can comment on or make changes to this bug.